export declare type IInputSubmitValue = {
    name: string;
    value: any;
} | {
    error: true;
};
export declare type IInputSubmitHandler = () => IInputSubmitValue;
export declare type IRemoveInputSubmitHandler = () => void;
export interface IFormContext {
    addInput(onSubmit: IInputSubmitHandler): IRemoveInputSubmitHandler;
    submit(): void;
}
